GOZILLA(1)

NAME
gozilla - force mozilla to display specified source file

SYNOPSIS
gozilla [+no] [-b browser] [-p] file
gozilla -C command

DESCRIPTION
First form:
Gozilla force mozilla (Netscape Navigator) to display specified source file as a hypertext. If mozilla has not loaded then gozilla loads it.

In advance of using this command, you must execute gtags(1) and htags(1) at the root directory of the source tree to make tag files. Then you can execute gozilla at anywhere in the source tree.
You can specify source file and the line number optionally.

Second form:
Gozilla send command to mozilla directly. Command is undocumented. But the hint is in the resource file of mozilla.

The following options are available:

+no line number. It must be a line on which function definition or function reference is exist. If you execute htags(1) with -l option, you can specify any line.

-b browser
    browser to use. By default, assumes mozilla. If you specify another browser, gozilla waits for exiting of the browser.

-p  just print generated target URL.

file
    path of source file.

-C command
    send command to mozilla directly.

FILES
HTML/
    hypertext of source tree.
GTAGS
    tags file for function definitions.

ENVIRONMENT
The following environment variables affect the execution of gozilla.

GTAGSROOT
    The directory which is the root of source tree.

GTAGSDBPATH
    The directory on which HTML directory exist. This value is ignored when GTAGSROOT is not defined.

BROWSER
    browser to use. By default, assumes mozilla.

EXAMPLES
% global -x main main 82 ctags.c main(argc, argv) % gozilla +82 ctags.c % gozilla -C pageDown % gozilla -C back

DIAGNOSTICS
Gozilla exits with a non 0 value if an error occurred, 0 otherwise.

SEE ALSO
global(1), gtags(1), htags(1).

NOTES
Netscape Navigator is a registered trademark of Netscape Communications Corporation in the United States and other countries.

Gozilla means 'Global for mozilla'.

BUGS
Gozilla can treat not only source file but also normal file, directory, HTML file and even URL, because it is omnivorous.

AUTHORS
Shigio Yamaguchi (shigio@wafu.netgate.net)

HISTORY
The gozilla command appeared in FreeBSD 2.2.5.